.brands-section {
    padding: @section-padding-mobile;

    @media (min-width: @screen-sm-min) {
        padding: @section-padding;
    }

    &__header-row {
        @media (max-width: @screen-xs-max) {
            flex-flow: column nowrap;
        }
    }

    &__header {
        max-width: 700px;

        h2 {
            margin-top: 0;
        }
    }

    &__toggle-buttons {
        list-style: none;
        padding: 0;
        margin: 0;
        margin-left: @grid-gutter-width;
        display: flex;
        flex-flow: row nowrap;

        @media (max-width: @screen-xs-max) {
            margin: 1rem 0;
        }

        li {
            display: block;
            white-space: nowrap;

            &.active > a {
                background-color: @brand-primary;
                color: @white;
                cursor: default;
                text-decoration: none !important;
            }

            a {
                display: block;
                padding: @grid-gutter-width/2 @grid-gutter-width;
                text-transform: uppercase;
                font-size: @font-size-large;
                border: 1px solid @brand-primary;
                font-family: @headings-font-family;
                font-weight: @btn-font-weight;
            }
        }
    }

    &__tab-content {
        padding: @grid-gutter-width 0;
    }

    &__brand-list {
        @media (min-width: @screen-sm-min) {
            columns: 3;
        }

        @media (min-width: @screen-md-min) {
            columns: 4;
        }

        @media (min-width: @screen-lg-min) {
            columns: 5;
        }

        ul {
            padding: 0;
            margin: 0 0 @grid-gutter-width 0;
            list-style: none;

            @media (max-width: @screen-xs-max) {
                display: flex;
                flex-flow: row wrap;
                margin: 0 -@grid-gutter-width/3;
                margin-bottom: @grid-gutter-width/2;
            }

            li {
                @media (max-width: @screen-xs-max) {
                    flex-basis: 50%;
                    padding: 0 @grid-gutter-width/3;
                }

                a {
                    display: block;
                    padding: .25rem 0;
                }
            }
        }
    }

    &__brand-list__single-alphabet {
        @media (min-width: @screen-sm-min) {
            break-inside: avoid;
        }
    }

    &__brand-list__letter {
        margin: 0 0 .25rem 0;
        text-transform: uppercase;
    }

    &__map {
        iframe {
            height: 600px;

            @media (max-width: @screen-xs-max) {
                height: 400px;
            }
        }
    }
}
